# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaGroup

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.media.mediarss.MediaGroup

All Implemented Interfaces:
  Extension

Direct Known Subclasses:
  YouTubeMediaGroup

    public class MediaGroup

extends ExtensionPoint
implements Extension

`<media:group>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaGroup()`

Method Summary
`void` `addCategory(MediaCategory category)`
`void` `addContent(MediaContent content)`
`void` `addCredit(MediaCredit credit)`
`void` `addRating(MediaRating rating)`
`void` `addRestriction(MediaRestriction restriction)`
`void` `addText(MediaText text)`
`void` `addThumbnail(MediaThumbnail thumbnail)`
`void` `clearCategories()`
`void` `clearContents()`
`void` `clearCredits()`
`void` `clearRatings()`
`void` `clearRestrictions()`
`void` `clearTexts()`
`void` `clearThumbnails()`
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<MediaCategory>` `getCategories()`
`java.util.Set<MediaCategory>` `getCategoriesWithScheme(java.lang.String scheme)` Returns all the found categories of the given scheme.
`java.util.List<MediaContent>` `getContents()`
`MediaCopyright` `getCopyright()`
`java.util.List<MediaCredit>` `getCredits()`
`static ExtensionDescription` `getDefaultDescription()` Describes the tag to an `ExtensionProfile`.
`MediaDescription` `getDescription()`
`MediaHash` `getHash()`
`MediaKeywords` `getKeywords()`
`MediaPlayer` `getPlayer()`
`java.util.List<MediaRating>` `getRatings()`
`java.util.List<MediaRestriction>` `getRestrictions()`
`java.util.List<MediaText>` `getTexts()`
`java.util.List<MediaThumbnail>` `getThumbnails()`
`MediaTitle` `getTitle()`
`void` `setCopyright(MediaCopyright copyright)`
`void` `setDescription(MediaDescription description)`
`void` `setHash(MediaHash hash)`
`void` `setKeywords(MediaKeywords keywords)`
`void` `setPlayer(MediaPlayer player)`
`void` `setTitle(MediaTitle title)`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### MediaGroup

    public MediaGroup()

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Describes the tag to an `ExtensionProfile`.

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getContents

    public java.util.List<MediaContent> getContents()

### clearContents

    public void clearContents()

### addContent

    public void addContent(MediaContent content)

### getCategories

    public java.util.List<MediaCategory> getCategories()

### getCategoriesWithScheme

    public java.util.Set<MediaCategory> getCategoriesWithScheme(java.lang.String scheme)

  Returns all the found categories of the given scheme. If the given scheme parameter is null it returns all the categories that do not have a scheme set.

  Parameters:
    `scheme` - scheme to search for, can be null.
  Returns:
    the found categories that are of the given scheme, it may be an empty set if no such categories were specified, but never null.

### clearCategories

    public void clearCategories()

### addCategory

    public void addCategory(MediaCategory category)

### getCopyright

    public MediaCopyright getCopyright()

### setCopyright

    public void setCopyright(MediaCopyright copyright)

### getCredits

    public java.util.List<MediaCredit> getCredits()

### clearCredits

    public void clearCredits()

### addCredit

    public void addCredit(MediaCredit credit)

### getHash

    public MediaHash getHash()

### setHash

    public void setHash(MediaHash hash)

### getKeywords

    public MediaKeywords getKeywords()

### setKeywords

    public void setKeywords(MediaKeywords keywords)

### getPlayer

    public MediaPlayer getPlayer()

### setPlayer

    public void setPlayer(MediaPlayer player)

### getRatings

    public java.util.List<MediaRating> getRatings()

### clearRatings

    public void clearRatings()

### addRating

    public void addRating(MediaRating rating)

### getThumbnails

    public java.util.List<MediaThumbnail> getThumbnails()

### clearThumbnails

    public void clearThumbnails()

### addThumbnail

    public void addThumbnail(MediaThumbnail thumbnail)

### getTexts

    public java.util.List<MediaText> getTexts()

### clearTexts

    public void clearTexts()

### addText

    public void addText(MediaText text)

### getRestrictions

    public java.util.List<MediaRestriction> getRestrictions()

### clearRestrictions

    public void clearRestrictions()

### addRestriction

    public void addRestriction(MediaRestriction restriction)

### setTitle

    public void setTitle(MediaTitle title)

### getTitle

    public MediaTitle getTitle()

### setDescription

    public void setDescription(MediaDescription description)

### getDescription

    public MediaDescription getDescription()